Bug 144439 - Writer: Multilevel numbering displaying incorrect sublevels
Summary: Writer: Multilevel numbering displaying incorrect sublevels
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.1.1 rc
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2021-09-11 06:56 UTC by Faiz
Modified: 2021-12-16 10:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Current behavior on 7.3.0.0alpha0+ (2021-09-09) (104.61 KB, image/png)
2021-09-11 06:56 UTC, Faiz
Details
Correctly displayed in 7.1.6 (118.07 KB, image/png)
2021-09-11 06:57 UTC, Faiz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Faiz 2021-09-11 06:56:29 UTC
Created attachment 174964 [details]
Current behavior on 7.3.0.0alpha0+ (2021-09-09)

OS: Arch based Linux
LO version: 7.3.0.0 alpha+ (2021-09-09)


Problem description:
Multilevel numbering displaying incorrect sublevels when more than 1 sublevel selected.

Steps to reproduce:
1. Go to "Bullets and Numbering" Window
2. Select "Customize" tab
3. Select "Level 2" and increase the "Show sublevels" to "2"
4. Click "OK" and start creating the numbered list.

- Step 3 can be repeated on the next level and still produce similar issue.

Expected result:
The 2nd sublevel also displays the 1st level (e.g.: "2.1.")

Current result:
The 2nd sublevel not displaying the 1st level (e.g.: "1.") 

Additional Note:
Worked perfectly in 7.1.5 and 7.1.6. Also broken in 7.2.1.
Comment 1 Faiz 2021-09-11 06:57:21 UTC
Created attachment 174965 [details]
Correctly displayed in 7.1.6
Comment 2 Roman Kuznetsov 2021-09-11 10:20:01 UTC
confirm in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 3749d9af3745c0eaff7239e379578e4e2af89e9d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-09-09_07:27:56
Calc: threaded
Comment 3 Faiz 2021-09-12 08:06:35 UTC Comment hidden (bibisection)
Comment 4 Roman Kuznetsov 2021-09-12 08:26:57 UTC
Thorsten, Vasily, could you please look at it? 

https://gerrit.libreoffice.org/c/core/+/118040

https://git.libreoffice.org/core/commit/9987b518fca1476bd0ce8c86bcf6ac7c81f7b580
Comment 5 Commit Notification 2021-10-04 13:31:23 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54cc6c21c8669ce1b8e8bdaa5920a274cc8a9d4b

tdf#144439: generate list format string on level change

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-10-05 08:20:17 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/a913789e2f59bd38fd7c2f5e6325846f4365b696

tdf#144439: generate list format string on level change

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.